Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Data Structures | Public Types | Public Member Functions | Protected Member Functions | Protected Attributes
proofs::ProverLayers< Field > Class Template Reference
Inheritance diagram for proofs::ProverLayers< Field >:
[legend]
Collaboration diagram for proofs::ProverLayers< Field >:
[legend]

## Data Structures
struct | bindings

## Public Types
using | inputs = std::vector<std::unique_ptr<Dense<Field>>>

## Public Member Functions
| ProverLayers (const Field &f)
std::unique_ptr< Dense< Field > > | eval_circuit (inputs *in, const Circuit< Field > *circ, std::unique_ptr< Dense< Field > > W0, const Field &F)

## Protected Member Functions
void | prove (Proof< Field > *pr, const Proof< Field > *pad, const Circuit< Field > *circ, const inputs &in, ProofAux< Field > *aux, bindings &bnd, TranscriptSumcheck< Field > &ts, const Field &F)

## Protected Attributes
const Field & | f_

The documentation for this class was generated from the following file:

- lib/sumcheck/prover_layers.h